<div class="phase-list">

	<zs-dropdown-menu
		class="phase-menu-left"
		button-icon="dots-horizontal"
		button-label="{{vm.getDroppedPhasesLeft().length}}"
		data-options="vm.getDroppedPhasesLeft()"
		ng-if="vm.getDroppedPhasesLeft().length"
		position-options="{attachment: 'top left', target: 'bottom left' }"
		button-style="{ 'btn-small': true, 'btn-secondary': true, 'btn-flat': true, 'phase-dropdown-button': true }"
	>
	</zs-dropdown-menu>

	<nav class="phase-list-container">

		<div class="phase-list-item" ng-repeat="phase in vm.getVisiblePhases() track by phase.id" ng-class="{ selected: phase.selected, active: phase.active, resolved: phase.resolved }">

			<a class="phase-list-item-link" aria-label="{{(phase.active && 'Huidige') || (phase.resolved && 'Afgeronde')}} fase {{::phase.label}}" ng-href="{{::phase.link}}">
				<zs-icon class="phase-list-item-icon" icon-type="{{::phase.iconClass}}" ng-show="!!phase.iconClass"></zs-icon>
				<span aria-label="Fase {{::phase.label}}">{{::phase.label}}</span>
				<span class="phase-list-item-count has-unread-notifications small" ng-show="!!phase.count"></span>
			</a>

		</div>
		
	</nav>

	<zs-dropdown-menu
		class="phase-menu-right"
		button-icon="dots-horizontal"
		button-label="{{vm.getDroppedPhasesRight().length}}"
		data-options="vm.getDroppedPhasesRight()"
		ng-if="vm.getDroppedPhasesRight().length"
		position-options="{attachment: 'top right', target: 'bottom right' }"
		button-style="{ 'btn-small': true, 'btn-secondary': true, 'btn-flat': true, 'phase-dropdown-button': true }"
	>
	</zs-dropdown-menu>

</div>
